@import 'shuffleButton.css';

:root {
  --background-color: #fbfffb;
  --border-shadow: #c4c4c4;
  --darker-green: #85c988;
}

.bigStatsTable {
  margin: auto;
  border-collapse: collapse;
  width: 90%;
  font-size: 14px;
}


/* .bigStatsTable tr th {
  background-color: grey;
  color: white;
} */

/* .bigStatsTable tr th {
  border: 1px solid black;
} */

.bigStatsTable tr th {
  cursor: pointer;
}

.bigStatsTable thead tr:nth-child(2) {
  position: sticky;
  top:0;
  z-index: 50;
}

.bigTableHeaderText {
  font-size:70px;
}

.bigTableHeading {
  margin: auto;
  text-align: center;
  background-color: var(--darker-green);
  color: white;
  width: 90%;
  padding: 100px 0 40px 0;
  margin-top: 40px;
  border-radius: 20px;
  margin-bottom: 60px;
}

.bigStatsTable td {
  min-width: 45px;
  /* border: 1px solid #ddd; */
  text-align: center;
}

.bigStatsTable tr {
  background-color: white;
}

/* .bigStatsTable tr:nth-child(2n) {
  background-color: rgb(238, 238, 238);
} */

.bigStatsTable thead tr {
  background-color: rgb(238, 238, 238);
}

.bigStatsTable tbody .even {
  background-color: rgb(238, 238, 238);
}

.bigStatsTable :is(td, th) {
  padding: 4px;
  /* font-size: 14px; */
}

.bigStatsTable tr td:nth-child(3), .bigStatsTable tr th:nth-child(3) {
  position: sticky;
  left: 0;
  background-color: inherit;
}

body {
  overflow: auto !important;
}

.bigTableBarGraph rect:nth-child(1) {
  fill: #00C361;
}

.bigTableBarGraph rect:nth-child(2) {
  fill: #FFB266;
}

.bigTableBarGraph rect:nth-child(3) {
  fill: #ff6161;
}

.bigTableBarGraph:last-child {
  min-width: 150px;
  max-width: 250px;
}

.judgesTableColumnsDisabled :is(td, th):nth-of-type(5),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(9),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(10),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(11),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(12),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(13),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(14),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(15),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(16),
.judgesTableColumnsDisabled :is(td, th):nth-of-type(17) {
  display:none;
}

.judges-table, .breeds-table {
  overflow: scroll;
}

#judgesSearchCountry, #breedsSearchSize {
  background-color: white;
  border: 1px solid gray;
}

.sortedAsc::after {
  content: '';
  position:relative;
  display: inline-block;
  left: 7px;
  bottom: 2px;
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-bottom: 7px solid black;
  border-radius: 2px;
}

.sortedDesc::after {
  content: '';
  position:relative;
  display: inline-block;
  left: 7px;
  bottom: 2px;
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-top: 7px solid black;
  border-radius: 2px;
}

.plusButton, .minusButton {
  width: 18px;
  height: 18px;
  border: 1px solid #4fb854;
  position: relative;
  cursor: pointer;
}

.plusButton div:first-child, .minusButton div:first-child {
  position: absolute;
  width: 10px;
  height: 2px;
  background-color: #4fb854;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.plusButton div:nth-child(2) {
  position: absolute;
  width: 10px;
  height: 2px;
  background-color: #4fb854;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(90deg);
}

.vyberRozhodci {
  display: grid;
  grid-template-columns: 19px auto 19px;
  gap: 10px;
  margin:auto;
  justify-content: center;
  align-items: center;
  user-select: none;
}

.settingsGeneral {
  margin: auto;
  background-color: white;
  color: black;
  padding: 15px;
  border-radius: 5px;
  max-width: 600px;
  margin-bottom: 10px;
}

.yearsWrapper {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  max-height: 70px;
  margin: auto;
}

.bigTableSettingsHeader {
  font-size: 18px;
  font-weight: 800;
  padding-bottom: 10px;
}

@media only screen and (max-width: 750px) {
  .bigTableHeaderText {
    font-size: 36px;
  }
  .bigTableHeading {
    width: 100%;
    border-radius: 0;
  }

  .yearsWrapper {
    max-height: 100px;
  }

  .settingsGeneral {
    width: 90%;
    min-width: 300px;
  }

  .summary {
    font-size: 30px !important;
  }
}

.summary {
  font-size: 38px;
  margin-top: 15px;
}

.judgesFlag {
  height: 20px;
}